hpp-corbaserver: _impl_PathVector Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
_impl_PathVector Class Referenceabstract

`#include <hpp/core_idl/paths-idl.hh>`

Inheritance diagram for _impl_PathVector:
[legend]
Collaboration diagram for _impl_PathVector:
[legend]

## Public Member Functions
virtual | ~_impl_PathVector ()
virtual size_t | numberPaths ()=0
virtual size_t | rankAtParam (::hpp::value_type param, ::hpp::value_type &localParam)=0
virtual Path_ptr | pathAtRank (::hpp::core_idl::size_t rank)=0
virtual void | appendPath (::hpp::core_idl::Path_ptr p)=0
virtual void | concatenate (::hpp::core_idl::PathVector_ptr p)=0
virtual PathVector_ptr | flatten ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)
Public Member Functions inherited from _impl_Path
virtual | ~_impl_Path ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual size_type | outputSize ()=0
virtual size_type | outputDerivativeSize ()=0
virtual value_type | length ()=0
virtual floatSeq * | initial ()=0
virtual floatSeq * | end ()=0
virtual ConstraintSet_ptr | constraints ()=0
virtual char * | str ()=0
virtual floatSeq * | call (::hpp::value_type t, ::CORBA::Boolean &success)=0
virtual floatSeq * | at (::hpp::value_type t, ::CORBA::Boolean &success)=0
virtual floatSeq * | derivative (::hpp::value_type t, ::CORBA::Short order)=0
virtual Path_ptr | extract (::hpp::value_type tmin, ::hpp::value_type tmax)=0
virtual PathVector_ptr | asVector ()=0
virtual Path_ptr | reverse ()=0

## Constructor & Destructor Documentation

## ◆ ~_impl_PathVector()

virtual _impl_PathVector::~_impl_PathVector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_PathVector::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented from _impl_Path.

## ◆ appendPath()

virtual void _impl_PathVector::appendPath | ( | ::hpp::core_idl::Path_ptr | p | ) |
| pure virtual

## ◆ concatenate()

virtual void _impl_PathVector::concatenate | ( | ::hpp::core_idl::PathVector_ptr | p | ) |
| pure virtual

## ◆ flatten()

virtual PathVector_ptr _impl_PathVector::flatten | ( |  | ) |
| pure virtual

## ◆ numberPaths()

virtual size_t _impl_PathVector::numberPaths | ( |  | ) |
| pure virtual

## ◆ pathAtRank()

virtual Path_ptr _impl_PathVector::pathAtRank | ( | ::hpp::core_idl::size_t | rank | ) |
| pure virtual

## ◆ rankAtParam()

virtual size_t _impl_PathVector::rankAtParam | ( | ::hpp::value_type | param,
|  | ::hpp::value_type & | localParam
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/paths-idl.hh